FleetAppsManagementClient¶
- class oci.fleet_apps_management.FleetAppsManagementClient(config, **kwargs)¶
Fleet Application Management provides a centralized platform to help you automate resource management tasks, validate patch compliance, and enhance operational efficiency across an enterprise.
Methods:
__init__(config, **kwargs)Creates a new service client
change_fleet_compartment(fleet_id, ...)Moves a Fleet into a different compartment within the same tenancy.
Check if Fleet Application Management tags can be added to the resources.
confirm_targets(confirm_targets_details, ...)Confirm targets to be managed for a Fleet.
create_fleet(create_fleet_details, **kwargs)Create a fleet in Fleet Application Management.
Add credentials to a fleet in Fleet Application Management.
Add an existing global property to a fleet in Fleet Application Management.
Add resource to a fleet in Fleet Application Management.
delete_fleet(fleet_id, **kwargs)Delete a fleet in Fleet Application Management.
delete_fleet_credential(fleet_credential_id, ...)Deletes a credential associated with a fleet or with a product/target with in a fleet.
delete_fleet_property(fleet_property_id, ...)Deletes a property associated with a fleet in Fleet Application Management.
delete_fleet_resource(fleet_resource_id, ...)Removes a resource from the fleet in Fleet Application Management.
Generate compliance report for a Fleet.
get_compliance(fleet_id, **kwargs)Retrieve compliance for a fleet.
get_compliance_report(fleet_id, ...)Retrieve compliance report for a fleet.
get_fleet(fleet_id, **kwargs)Get the details of a fleet in Fleet Application Management.
get_fleet_credential(fleet_credential_id, ...)Gets a fleet credential by identifier.
get_fleet_property(fleet_property_id, ...)Gets a fleet property by identifier.
get_fleet_resource(fleet_resource_id, ...)Gets a fleet resource by identifier.
list_announcements(compartment_id, **kwargs)Return a list of Announcement Summary items in a tenancy.
list_fleet_credentials(fleet_id, **kwargs)List credentials associated with a fleet.
list_fleet_products(fleet_id, **kwargs)Returns a list of products associated with the confirmed targets.
list_fleet_properties(fleet_id, **kwargs)List properties associated with a fleet.
list_fleet_resources(fleet_id, **kwargs)List resources for a fleet in Fleet Application Management.
list_fleet_targets(fleet_id, **kwargs)Returns the list of all confirmed targets within a fleet.
list_fleets(**kwargs)Returns a list of all the Fleets in the specified compartment.
list_inventory_resources(compartment_id, ...)Returns a list of Inventory Resources based on the criteria provided.
list_targets(fleet_id, **kwargs)Return all targets belonging to the resources within a fleet.
Request validation for resources within a fleet.
Request target discovery for resources with in a fleet.
update_fleet(fleet_id, update_fleet_details, ...)Update fleet information in Fleet Application Management.
update_fleet_credential(fleet_credential_id, ...)Edit credential associated with a fleet or with a product/target with in a fleet.
update_fleet_property(fleet_property_id, ...)Edit a property associated with a fleet in Fleet Application Management.
update_fleet_resource(fleet_resource_id, ...)Updates the FleetResource.
- __init__(config, **kwargs)¶
Creates a new service client
- Parameters
config (dict) – Configuration keys and values as per SDK and Tool Configuration. The
from_file()method can be used to load configuration from a file. Alternatively, adictcan be passed. You can validate_config the dict usingvalidate_config()service_endpoint (str) – (optional) The endpoint of the service to call using this client. For example
https://iaas.us-ashburn-1.oraclecloud.com. If this keyword argument is not provided then it will be derived using the region in the config parameter. You should only provide this keyword argument if you have an explicit need to specify a service endpoint.timeout (float or tuple(float, float)) – (optional) The connection and read timeouts for the client. The default values are connection timeout 10 seconds and read timeout 60 seconds. This keyword argument can be provided as a single float, in which case the value provided is used for both the read and connection timeouts, or as a tuple of two floats. If a tuple is provided then the first value is used as the connection timeout and the second value as the read timeout.
signer (
AbstractBaseSigner) –(optional) The signer to use when signing requests made by the service client. The default is to use a
Signerbased on the values provided in the config parameter.One use case for this parameter is for Instance Principals authentication by passing an instance of
InstancePrincipalsSecurityTokenSigneras the value for this keyword argumentretry_strategy (obj) –
(optional) A retry strategy to apply to all calls made by this service client (i.e. at the client level). There is no retry strategy applied by default. Retry strategies can also be applied at the operation level by passing a
retry_strategykeyword argument as part of calling the operation. Any value provided at the operation level will override whatever is specified at the client level.This should be one of the strategies available in the
retrymodule. A convenienceDEFAULT_RETRY_STRATEGYis also available. The specifics of the default retry strategy are described here.circuit_breaker_strategy (obj) – (optional) A circuit breaker strategy to apply to all calls made by this service client (i.e. at the client level). This client uses
DEFAULT_CIRCUIT_BREAKER_STRATEGYas default if no circuit breaker strategy is provided. The specifics of circuit breaker strategy are described here.circuit_breaker_callback (function) – (optional) Callback function to receive any exceptions triggerred by the circuit breaker.
client_level_realm_specific_endpoint_template_enabled (bool) – (optional) A boolean flag to indicate whether or not this client should be created with realm specific endpoint template enabled or disable. By default, this will be set as None.
allow_control_chars – (optional) allow_control_chars is a boolean to indicate whether or not this client should allow control characters in the response object. By default, the client will not allow control characters to be in the response object.
enable_strict_url_encoding – (optional) enable_strict_url_encoding is a boolean to indicate whether or not this client should enable strict url encoding in path params of a request. By default, the client will not enable strict url encoding
- change_fleet_compartment(fleet_id, change_fleet_compartment_details, **kwargs)¶
Moves a Fleet into a different compartment within the same tenancy. For information about moving resources between compartments, see Moving Resources to a Different Compartment.
- Parameters
fleet_id (str) – (required) Unique Fleet identifier.
change_fleet_compartment_details (oci.fleet_apps_management.models.ChangeFleetCompartmentDetails) – (required) Details of the target compartment.
if_match (str) – (optional) For optimistic concurrency control. In the PUT or DELETE call for a resource, set the if-match parameter to the value of the etag from a previous GET or POST response for that resource. The resource will be updated or deleted only if the etag you provide matches the resource’s current etag value.
opc_request_id (str) – (optional) The client request ID for tracing.
opc_retry_token (str) – (optional) A token that uniquely identifies a request so it can be retried in case of a timeout or server error without risk of executing that same action again. Retry tokens expire after 24 hours, but can be invalidated before then due to conflicting operations. For example, if a resource has been deleted and purged from the system, then a retry of the original creation request might be rejected.
retry_strategy (obj) –
(optional) A retry strategy to apply to this specific operation/call. This will override any retry strategy set at the client-level.
This should be one of the strategies available in the
retrymodule. This operation usesDEFAULT_RETRY_STRATEGYas default if no retry strategy is provided. The specifics of the default retry strategy are described here.To have this operation explicitly not perform any retries, pass an instance of
NoneRetryStrategy.allow_control_chars (bool) – (optional) allow_control_chars is a boolean to indicate whether or not this request should allow control characters in the response object. By default, the response will not allow control characters in strings
enable_strict_url_encoding (bool) – (optional) enable_strict_url_encoding is a boolean to indicate whether or not this request should enable strict url encoding for path params. By default, strict url encoding for path params is disabled
- Returns
A
Responseobject with data of type None- Return type
- Example
Click here to see an example of how to use change_fleet_compartment API.
- check_resource_tagging(check_resource_tagging_details, **kwargs)¶
Check if Fleet Application Management tags can be added to the resources.
- Parameters
check_resource_tagging_details (oci.fleet_apps_management.models.CheckResourceTaggingDetails) – (required) Details for checking if Fleet Application Management tags can be added to the resources.
opc_retry_token (str) – (optional) A token that uniquely identifies a request so it can be retried in case of a timeout or server error without risk of executing that same action again. Retry tokens expire after 24 hours, but can be invalidated before then due to conflicting operations. For example, if a resource has been deleted and purged from the system, then a retry of the original creation request might be rejected.
opc_request_id (str) – (optional) The client request ID for tracing.
retry_strategy (obj) –
(optional) A retry strategy to apply to this specific operation/call. This will override any retry strategy set at the client-level.
This should be one of the strategies available in the
retrymodule. This operation usesDEFAULT_RETRY_STRATEGYas default if no retry strategy is provided. The specifics of the default retry strategy are described here.To have this operation explicitly not perform any retries, pass an instance of
NoneRetryStrategy.allow_control_chars (bool) – (optional) allow_control_chars is a boolean to indicate whether or not this request should allow control characters in the response object. By default, the response will not allow control characters in strings
enable_strict_url_encoding (bool) – (optional) enable_strict_url_encoding is a boolean to indicate whether or not this request should enable strict url encoding for path params. By default, strict url encoding for path params is disabled
- Returns
A
Responseobject with data of typeResourceTagCheckDetails- Return type
- Example
Click here to see an example of how to use check_resource_tagging API.
- confirm_targets(confirm_targets_details, fleet_id, **kwargs)¶
Confirm targets to be managed for a Fleet. Only targets that are confirmed will be managed by Fleet Application Management.
- Parameters
confirm_targets_details (oci.fleet_apps_management.models.ConfirmTargetsDetails) – (required) Details for confirming Targets.
fleet_id (str) – (required) Unique Fleet identifier.
opc_retry_token (str) – (optional) A token that uniquely identifies a request so it can be retried in case of a timeout or server error without risk of executing that same action again. Retry tokens expire after 24 hours, but can be invalidated before then due to conflicting operations. For example, if a resource has been deleted and purged from the system, then a retry of the original creation request might be rejected.
opc_request_id (str) – (optional) The client request ID for tracing.
retry_strategy (obj) –
(optional) A retry strategy to apply to this specific operation/call. This will override any retry strategy set at the client-level.
This should be one of the strategies available in the
retrymodule. This operation usesDEFAULT_RETRY_STRATEGYas default if no retry strategy is provided. The specifics of the default retry strategy are described here.To have this operation explicitly not perform any retries, pass an instance of
NoneRetryStrategy.allow_control_chars (bool) – (optional) allow_control_chars is a boolean to indicate whether or not this request should allow control characters in the response object. By default, the response will not allow control characters in strings
enable_strict_url_encoding (bool) – (optional) enable_strict_url_encoding is a boolean to indicate whether or not this request should enable strict url encoding for path params. By default, strict url encoding for path params is disabled
- Returns
A
Responseobject with data of type None- Return type
- Example
Click here to see an example of how to use confirm_targets API.
- create_fleet(create_fleet_details, **kwargs)¶
Create a fleet in Fleet Application Management.
- Parameters
create_fleet_details (oci.fleet_apps_management.models.CreateFleetDetails) – (required) Details for the new Fleet.
opc_retry_token (str) – (optional) A token that uniquely identifies a request so it can be retried in case of a timeout or server error without risk of executing that same action again. Retry tokens expire after 24 hours, but can be invalidated before then due to conflicting operations. For example, if a resource has been deleted and purged from the system, then a retry of the original creation request might be rejected.
opc_request_id (str) – (optional) The client request ID for tracing.
retry_strategy (obj) –
(optional) A retry strategy to apply to this specific operation/call. This will override any retry strategy set at the client-level.
This should be one of the strategies available in the
retrymodule. This operation usesDEFAULT_RETRY_STRATEGYas default if no retry strategy is provided. The specifics of the default retry strategy are described here.To have this operation explicitly not perform any retries, pass an instance of
NoneRetryStrategy.allow_control_chars (bool) – (optional) allow_control_chars is a boolean to indicate whether or not this request should allow control characters in the response object. By default, the response will not allow control characters in strings
enable_strict_url_encoding (bool) – (optional) enable_strict_url_encoding is a boolean to indicate whether or not this request should enable strict url encoding for path params. By default, strict url encoding for path params is disabled
- Returns
- Return type
- Example
Click here to see an example of how to use create_fleet API.
- create_fleet_credential(create_fleet_credential_details, fleet_id, **kwargs)¶
Add credentials to a fleet in Fleet Application Management.
- Parameters
create_fleet_credential_details (oci.fleet_apps_management.models.CreateFleetCredentialDetails) – (required) Details for the new fleet credential.
fleet_id (str) – (required) Unique Fleet identifier.
opc_retry_token (str) – (optional) A token that uniquely identifies a request so it can be retried in case of a timeout or server error without risk of executing that same action again. Retry tokens expire after 24 hours, but can be invalidated before then due to conflicting operations. For example, if a resource has been deleted and purged from the system, then a retry of the original creation request might be rejected.
opc_request_id (str) – (optional) The client request ID for tracing.
retry_strategy (obj) –
(optional) A retry strategy to apply to this specific operation/call. This will override any retry strategy set at the client-level.
This should be one of the strategies available in the
retrymodule. This operation usesDEFAULT_RETRY_STRATEGYas default if no retry strategy is provided. The specifics of the default retry strategy are described here.To have this operation explicitly not perform any retries, pass an instance of
NoneRetryStrategy.allow_control_chars (bool) – (optional) allow_control_chars is a boolean to indicate whether or not this request should allow control characters in the response object. By default, the response will not allow control characters in strings
enable_strict_url_encoding (bool) – (optional) enable_strict_url_encoding is a boolean to indicate whether or not this request should enable strict url encoding for path params. By default, strict url encoding for path params is disabled
- Returns
A
Responseobject with data of typeFleetCredential- Return type
- Example
Click here to see an example of how to use create_fleet_credential API.
- create_fleet_property(create_fleet_property_details, fleet_id, **kwargs)¶
Add an existing global property to a fleet in Fleet Application Management.
- Parameters
create_fleet_property_details (oci.fleet_apps_management.models.CreateFleetPropertyDetails) – (required) Details for the new fleet property.
fleet_id (str) – (required) Unique Fleet identifier.
opc_retry_token (str) – (optional) A token that uniquely identifies a request so it can be retried in case of a timeout or server error without risk of executing that same action again. Retry tokens expire after 24 hours, but can be invalidated before then due to conflicting operations. For example, if a resource has been deleted and purged from the system, then a retry of the original creation request might be rejected.
opc_request_id (str) – (optional) The client request ID for tracing.
retry_strategy (obj) –
(optional) A retry strategy to apply to this specific operation/call. This will override any retry strategy set at the client-level.
This should be one of the strategies available in the
retrymodule. This operation usesDEFAULT_RETRY_STRATEGYas default if no retry strategy is provided. The specifics of the default retry strategy are described here.To have this operation explicitly not perform any retries, pass an instance of
NoneRetryStrategy.allow_control_chars (bool) – (optional) allow_control_chars is a boolean to indicate whether or not this request should allow control characters in the response object. By default, the response will not allow control characters in strings
enable_strict_url_encoding (bool) – (optional) enable_strict_url_encoding is a boolean to indicate whether or not this request should enable strict url encoding for path params. By default, strict url encoding for path params is disabled
- Returns
A
Responseobject with data of typeFleetProperty- Return type
- Example
Click here to see an example of how to use create_fleet_property API.
- create_fleet_resource(create_fleet_resource_details, fleet_id, **kwargs)¶
Add resource to a fleet in Fleet Application Management.
- Parameters
create_fleet_resource_details (oci.fleet_apps_management.models.CreateFleetResourceDetails) – (required) Details for the new fleet resource.
fleet_id (str) – (required) Unique Fleet identifier.
opc_retry_token (str) – (optional) A token that uniquely identifies a request so it can be retried in case of a timeout or server error without risk of executing that same action again. Retry tokens expire after 24 hours, but can be invalidated before then due to conflicting operations. For example, if a resource has been deleted and purged from the system, then a retry of the original creation request might be rejected.
opc_request_id (str) – (optional) The client request ID for tracing.
retry_strategy (obj) –
(optional) A retry strategy to apply to this specific operation/call. This will override any retry strategy set at the client-level.
This should be one of the strategies available in the
retrymodule. This operation usesDEFAULT_RETRY_STRATEGYas default if no retry strategy is provided. The specifics of the default retry strategy are described here.To have this operation explicitly not perform any retries, pass an instance of
NoneRetryStrategy.allow_control_chars (bool) – (optional) allow_control_chars is a boolean to indicate whether or not this request should allow control characters in the response object. By default, the response will not allow control characters in strings
enable_strict_url_encoding (bool) – (optional) enable_strict_url_encoding is a boolean to indicate whether or not this request should enable strict url encoding for path params. By default, strict url encoding for path params is disabled
- Returns
A
Responseobject with data of typeFleetResource- Return type
- Example
Click here to see an example of how to use create_fleet_resource API.
- delete_fleet(fleet_id, **kwargs)¶
Delete a fleet in Fleet Application Management.
- Parameters
fleet_id (str) – (required) Unique Fleet identifier.
if_match (str) – (optional) For optimistic concurrency control. In the PUT or DELETE call for a resource, set the if-match parameter to the value of the etag from a previous GET or POST response for that resource. The resource will be updated or deleted only if the etag you provide matches the resource’s current etag value.
opc_request_id (str) – (optional) The client request ID for tracing.
retry_strategy (obj) –
(optional) A retry strategy to apply to this specific operation/call. This will override any retry strategy set at the client-level.
This should be one of the strategies available in the
retrymodule. This operation usesDEFAULT_RETRY_STRATEGYas default if no retry strategy is provided. The specifics of the default retry strategy are described here.To have this operation explicitly not perform any retries, pass an instance of
NoneRetryStrategy.allow_control_chars (bool) – (optional) allow_control_chars is a boolean to indicate whether or not this request should allow control characters in the response object. By default, the response will not allow control characters in strings
enable_strict_url_encoding (bool) – (optional) enable_strict_url_encoding is a boolean to indicate whether or not this request should enable strict url encoding for path params. By default, strict url encoding for path params is disabled
- Returns
A
Responseobject with data of type None- Return type
- Example
Click here to see an example of how to use delete_fleet API.
- delete_fleet_credential(fleet_credential_id, fleet_id, **kwargs)¶
Deletes a credential associated with a fleet or with a product/target with in a fleet.
- Parameters
fleet_credential_id (str) – (required) unique FleetCredential identifier
fleet_id (str) – (required) Unique Fleet identifier.
if_match (str) – (optional) For optimistic concurrency control. In the PUT or DELETE call for a resource, set the if-match parameter to the value of the etag from a previous GET or POST response for that resource. The resource will be updated or deleted only if the etag you provide matches the resource’s current etag value.
opc_request_id (str) – (optional) The client request ID for tracing.
retry_strategy (obj) –
(optional) A retry strategy to apply to this specific operation/call. This will override any retry strategy set at the client-level.
This should be one of the strategies available in the
retrymodule. This operation usesDEFAULT_RETRY_STRATEGYas default if no retry strategy is provided. The specifics of the default retry strategy are described here.To have this operation explicitly not perform any retries, pass an instance of
NoneRetryStrategy.allow_control_chars (bool) – (optional) allow_control_chars is a boolean to indicate whether or not this request should allow control characters in the response object. By default, the response will not allow control characters in strings
enable_strict_url_encoding (bool) – (optional) enable_strict_url_encoding is a boolean to indicate whether or not this request should enable strict url encoding for path params. By default, strict url encoding for path params is disabled
- Returns
A
Responseobject with data of type None- Return type
- Example
Click here to see an example of how to use delete_fleet_credential API.
- delete_fleet_property(fleet_property_id, fleet_id, **kwargs)¶
Deletes a property associated with a fleet in Fleet Application Management.
- Parameters
fleet_property_id (str) – (required) Unique fleetProperty identifier.
fleet_id (str) – (required) Unique Fleet identifier.
if_match (str) – (optional) For optimistic concurrency control. In the PUT or DELETE call for a resource, set the if-match parameter to the value of the etag from a previous GET or POST response for that resource. The resource will be updated or deleted only if the etag you provide matches the resource’s current etag value.
opc_request_id (str) – (optional) The client request ID for tracing.
retry_strategy (obj) –
(optional) A retry strategy to apply to this specific operation/call. This will override any retry strategy set at the client-level.
This should be one of the strategies available in the
retrymodule. This operation usesDEFAULT_RETRY_STRATEGYas default if no retry strategy is provided. The specifics of the default retry strategy are described here.To have this operation explicitly not perform any retries, pass an instance of
NoneRetryStrategy.allow_control_chars (bool) – (optional) allow_control_chars is a boolean to indicate whether or not this request should allow control characters in the response object. By default, the response will not allow control characters in strings
enable_strict_url_encoding (bool) – (optional) enable_strict_url_encoding is a boolean to indicate whether or not this request should enable strict url encoding for path params. By default, strict url encoding for path params is disabled
- Returns
A
Responseobject with data of type None- Return type
- Example
Click here to see an example of how to use delete_fleet_property API.
- delete_fleet_resource(fleet_resource_id, fleet_id, **kwargs)¶
Removes a resource from the fleet in Fleet Application Management.
- Parameters
fleet_resource_id (str) – (required) unique FleetResource identifier
fleet_id (str) – (required) Unique Fleet identifier.
if_match (str) – (optional) For optimistic concurrency control. In the PUT or DELETE call for a resource, set the if-match parameter to the value of the etag from a previous GET or POST response for that resource. The resource will be updated or deleted only if the etag you provide matches the resource’s current etag value.
opc_request_id (str) – (optional) The client request ID for tracing.
retry_strategy (obj) –
(optional) A retry strategy to apply to this specific operation/call. This will override any retry strategy set at the client-level.
This should be one of the strategies available in the
retrymodule. This operation usesDEFAULT_RETRY_STRATEGYas default if no retry strategy is provided. The specifics of the default retry strategy are described here.To have this operation explicitly not perform any retries, pass an instance of
NoneRetryStrategy.allow_control_chars (bool) – (optional) allow_control_chars is a boolean to indicate whether or not this request should allow control characters in the response object. By default, the response will not allow control characters in strings
enable_strict_url_encoding (bool) – (optional) enable_strict_url_encoding is a boolean to indicate whether or not this request should enable strict url encoding for path params. By default, strict url encoding for path params is disabled
- Returns
A
Responseobject with data of type None- Return type
- Example
Click here to see an example of how to use delete_fleet_resource API.
- generate_compliance_report(generate_compliance_report_details, fleet_id, **kwargs)¶
Generate compliance report for a Fleet.
- Parameters
generate_compliance_report_details (oci.fleet_apps_management.models.GenerateComplianceReportDetails) – (required) Details for generating compliance report for the Fleet.
fleet_id (str) – (required) Unique Fleet identifier.
opc_retry_token (str) – (optional) A token that uniquely identifies a request so it can be retried in case of a timeout or server error without risk of executing that same action again. Retry tokens expire after 24 hours, but can be invalidated before then due to conflicting operations. For example, if a resource has been deleted and purged from the system, then a retry of the original creation request might be rejected.
opc_request_id (str) – (optional) The client request ID for tracing.
retry_strategy (obj) –
(optional) A retry strategy to apply to this specific operation/call. This will override any retry strategy set at the client-level.
This should be one of the strategies available in the
retrymodule. This operation usesDEFAULT_RETRY_STRATEGYas default if no retry strategy is provided. The specifics of the default retry strategy are described here.To have this operation explicitly not perform any retries, pass an instance of
NoneRetryStrategy.allow_control_chars (bool) – (optional) allow_control_chars is a boolean to indicate whether or not this request should allow control characters in the response object. By default, the response will not allow control characters in strings
enable_strict_url_encoding (bool) – (optional) enable_strict_url_encoding is a boolean to indicate whether or not this request should enable strict url encoding for path params. By default, strict url encoding for path params is disabled
- Returns
A
Responseobject with data of type None- Return type
- Example
Click here to see an example of how to use generate_compliance_report API.
- get_compliance(fleet_id, **kwargs)¶
Retrieve compliance for a fleet.
- Parameters
fleet_id (str) – (required) Unique Fleet identifier.
opc_request_id (str) – (optional) The client request ID for tracing.
retry_strategy (obj) –
(optional) A retry strategy to apply to this specific operation/call. This will override any retry strategy set at the client-level.
This should be one of the strategies available in the
retrymodule. This operation usesDEFAULT_RETRY_STRATEGYas default if no retry strategy is provided. The specifics of the default retry strategy are described here.To have this operation explicitly not perform any retries, pass an instance of
NoneRetryStrategy.allow_control_chars (bool) – (optional) allow_control_chars is a boolean to indicate whether or not this request should allow control characters in the response object. By default, the response will not allow control characters in strings
enable_strict_url_encoding (bool) – (optional) enable_strict_url_encoding is a boolean to indicate whether or not this request should enable strict url encoding for path params. By default, strict url encoding for path params is disabled
- Returns
A
Responseobject with data of typeCompliance- Return type
- Example
Click here to see an example of how to use get_compliance API.
- get_compliance_report(fleet_id, compliance_report_id, **kwargs)¶
Retrieve compliance report for a fleet.
- Parameters
fleet_id (str) – (required) Unique Fleet identifier.
compliance_report_id (str) – (required) compliance report identifier.
opc_request_id (str) – (optional) The client request ID for tracing.
retry_strategy (obj) –
(optional) A retry strategy to apply to this specific operation/call. This will override any retry strategy set at the client-level.
This should be one of the strategies available in the
retrymodule. This operation usesDEFAULT_RETRY_STRATEGYas default if no retry strategy is provided. The specifics of the default retry strategy are described here.To have this operation explicitly not perform any retries, pass an instance of
NoneRetryStrategy.allow_control_chars (bool) – (optional) allow_control_chars is a boolean to indicate whether or not this request should allow control characters in the response object. By default, the response will not allow control characters in strings
enable_strict_url_encoding (bool) – (optional) enable_strict_url_encoding is a boolean to indicate whether or not this request should enable strict url encoding for path params. By default, strict url encoding for path params is disabled
- Returns
A
Responseobject with data of typeComplianceReport- Return type
- Example
Click here to see an example of how to use get_compliance_report API.
- get_fleet(fleet_id, **kwargs)¶
Get the details of a fleet in Fleet Application Management.
- Parameters
fleet_id (str) – (required) Unique Fleet identifier.
opc_request_id (str) – (optional) The client request ID for tracing.
retry_strategy (obj) –
(optional) A retry strategy to apply to this specific operation/call. This will override any retry strategy set at the client-level.
This should be one of the strategies available in the
retrymodule. This operation usesDEFAULT_RETRY_STRATEGYas default if no retry strategy is provided. The specifics of the default retry strategy are described here.To have this operation explicitly not perform any retries, pass an instance of
NoneRetryStrategy.allow_control_chars (bool) – (optional) allow_control_chars is a boolean to indicate whether or not this request should allow control characters in the response object. By default, the response will not allow control characters in strings
enable_strict_url_encoding (bool) – (optional) enable_strict_url_encoding is a boolean to indicate whether or not this request should enable strict url encoding for path params. By default, strict url encoding for path params is disabled
- Returns
- Return type
- Example
Click here to see an example of how to use get_fleet API.
- get_fleet_credential(fleet_credential_id, fleet_id, **kwargs)¶
Gets a fleet credential by identifier.
- Parameters
fleet_credential_id (str) – (required) unique FleetCredential identifier
fleet_id (str) – (required) Unique Fleet identifier.
opc_request_id (str) – (optional) The client request ID for tracing.
retry_strategy (obj) –
(optional) A retry strategy to apply to this specific operation/call. This will override any retry strategy set at the client-level.
This should be one of the strategies available in the
retrymodule. This operation usesDEFAULT_RETRY_STRATEGYas default if no retry strategy is provided. The specifics of the default retry strategy are described here.To have this operation explicitly not perform any retries, pass an instance of
NoneRetryStrategy.allow_control_chars (bool) – (optional) allow_control_chars is a boolean to indicate whether or not this request should allow control characters in the response object. By default, the response will not allow control characters in strings
enable_strict_url_encoding (bool) – (optional) enable_strict_url_encoding is a boolean to indicate whether or not this request should enable strict url encoding for path params. By default, strict url encoding for path params is disabled
- Returns
A
Responseobject with data of typeFleetCredential- Return type
- Example
Click here to see an example of how to use get_fleet_credential API.
- get_fleet_property(fleet_property_id, fleet_id, **kwargs)¶
Gets a fleet property by identifier.
- Parameters
fleet_property_id (str) – (required) Unique fleetProperty identifier.
fleet_id (str) – (required) Unique Fleet identifier.
opc_request_id (str) – (optional) The client request ID for tracing.
retry_strategy (obj) –
(optional) A retry strategy to apply to this specific operation/call. This will override any retry strategy set at the client-level.
This should be one of the strategies available in the
retrymodule. This operation usesDEFAULT_RETRY_STRATEGYas default if no retry strategy is provided. The specifics of the default retry strategy are described here.To have this operation explicitly not perform any retries, pass an instance of
NoneRetryStrategy.allow_control_chars (bool) – (optional) allow_control_chars is a boolean to indicate whether or not this request should allow control characters in the response object. By default, the response will not allow control characters in strings
enable_strict_url_encoding (bool) – (optional) enable_strict_url_encoding is a boolean to indicate whether or not this request should enable strict url encoding for path params. By default, strict url encoding for path params is disabled
- Returns
A
Responseobject with data of typeFleetProperty- Return type
- Example
Click here to see an example of how to use get_fleet_property API.
- get_fleet_resource(fleet_resource_id, fleet_id, **kwargs)¶
Gets a fleet resource by identifier.
- Parameters
fleet_resource_id (str) – (required) unique FleetResource identifier
fleet_id (str) – (required) Unique Fleet identifier.
opc_request_id (str) – (optional) The client request ID for tracing.
retry_strategy (obj) –
(optional) A retry strategy to apply to this specific operation/call. This will override any retry strategy set at the client-level.
This should be one of the strategies available in the
retrymodule. This operation usesDEFAULT_RETRY_STRATEGYas default if no retry strategy is provided. The specifics of the default retry strategy are described here.To have this operation explicitly not perform any retries, pass an instance of
NoneRetryStrategy.allow_control_chars (bool) – (optional) allow_control_chars is a boolean to indicate whether or not this request should allow control characters in the response object. By default, the response will not allow control characters in strings
enable_strict_url_encoding (bool) – (optional) enable_strict_url_encoding is a boolean to indicate whether or not this request should enable strict url encoding for path params. By default, strict url encoding for path params is disabled
- Returns
A
Responseobject with data of typeFleetResource- Return type
- Example
Click here to see an example of how to use get_fleet_resource API.
- list_announcements(compartment_id, **kwargs)¶
Return a list of Announcement Summary items in a tenancy.
- Parameters
compartment_id (str) – (required) The ID of the compartment in which to list resources.
summary_contains (str) – (optional) Filter the list of announcements that contains the given summary value.
display_name (str) – (optional) A filter to return only resources that match the entire display name given.
limit (int) – (optional) The maximum number of items to return.
page (str) – (optional) A token representing the position at which to start retrieving results. This must come from the opc-next-page header field of a previous response.
sort_order (str) –
(optional) The sort order to use, either ‘ASC’ or ‘DESC’.
Allowed values are: “ASC”, “DESC”
sort_by (str) –
(optional) The field to sort AnnouncementSummary by. Only one sort order may be provided. If no value is specified timeReleased is default.
Allowed values are: “timeReleased”, “summary”
opc_request_id (str) – (optional) The client request ID for tracing.
retry_strategy (obj) –
(optional) A retry strategy to apply to this specific operation/call. This will override any retry strategy set at the client-level.
This should be one of the strategies available in the
retrymodule. This operation usesDEFAULT_RETRY_STRATEGYas default if no retry strategy is provided. The specifics of the default retry strategy are described here.To have this operation explicitly not perform any retries, pass an instance of
NoneRetryStrategy.allow_control_chars (bool) – (optional) allow_control_chars is a boolean to indicate whether or not this request should allow control characters in the response object. By default, the response will not allow control characters in strings
enable_strict_url_encoding (bool) – (optional) enable_strict_url_encoding is a boolean to indicate whether or not this request should enable strict url encoding for path params. By default, strict url encoding for path params is disabled
- Returns
A
Responseobject with data of typeAnnouncementCollection- Return type
- Example
Click here to see an example of how to use list_announcements API.
- list_fleet_credentials(fleet_id, **kwargs)¶
List credentials associated with a fleet.
- Parameters
fleet_id (str) – (required) Unique Fleet identifier.
lifecycle_state (str) –
(optional) A filter to return only resources whose lifecycleState matches the given lifecycleState.
Allowed values are: “ACTIVE”, “DELETED”, “FAILED”
display_name (str) – (optional) A filter to return only resources that match the entire display name given.
resource_id (str) – (optional) Resource Identifier
target (str) – (optional) A filter to return only resources whose target matches the given target name.
credential_level (str) –
(optional) A filter to return only resources whose credentialLevel matches the given credentialLevel.
Allowed values are: “FLEET”, “RESOURCE”, “TARGET”
id (str) – (optional) A filter to return only resources whose credential identifier matches the given identifier.
limit (int) – (optional) The maximum number of items to return.
page (str) – (optional) A token representing the position at which to start retrieving results. This must come from the opc-next-page header field of a previous response.
sort_order (str) –
(optional) The sort order to use, either ‘ASC’ or ‘DESC’.
Allowed values are: “ASC”, “DESC”
sort_by (str) –
(optional) The field to sort by. Only one sort order may be provided. Default order for timeCreated is descending. Default order for displayName is ascending.
Allowed values are: “timeCreated”, “displayName”
opc_request_id (str) – (optional) The client request ID for tracing.
retry_strategy (obj) –
(optional) A retry strategy to apply to this specific operation/call. This will override any retry strategy set at the client-level.
This should be one of the strategies available in the
retrymodule. This operation usesDEFAULT_RETRY_STRATEGYas default if no retry strategy is provided. The specifics of the default retry strategy are described here.To have this operation explicitly not perform any retries, pass an instance of
NoneRetryStrategy.allow_control_chars (bool) – (optional) allow_control_chars is a boolean to indicate whether or not this request should allow control characters in the response object. By default, the response will not allow control characters in strings
enable_strict_url_encoding (bool) – (optional) enable_strict_url_encoding is a boolean to indicate whether or not this request should enable strict url encoding for path params. By default, strict url encoding for path params is disabled
- Returns
A
Responseobject with data of typeFleetCredentialCollection- Return type
- Example
Click here to see an example of how to use list_fleet_credentials API.
- list_fleet_products(fleet_id, **kwargs)¶
Returns a list of products associated with the confirmed targets.
- Parameters
fleet_id (str) – (required) Unique Fleet identifier.
compartment_id (str) – (optional) The ID of the compartment in which to list resources. Empty only if the resource OCID query param is not specified.
resource_id (str) – (optional) Resource Identifier
resource_display_name (str) – (optional) Resource Display Name.
display_name (str) – (optional) A filter to return only resources that match the entire display name given.
limit (int) – (optional) The maximum number of items to return.
page (str) – (optional) A token representing the position at which to start retrieving results. This must come from the opc-next-page header field of a previous response.
sort_order (str) –
(optional) The sort order to use, either ‘ASC’ or ‘DESC’.
Allowed values are: “ASC”, “DESC”
sort_by (str) –
(optional) The field to sort by. Only one sort order may be provided. Default order for displayName and resourceDisplayName is ascending.
Allowed values are: “displayName”, “resourceDisplayName”
opc_request_id (str) – (optional) The client request ID for tracing.
retry_strategy (obj) –
(optional) A retry strategy to apply to this specific operation/call. This will override any retry strategy set at the client-level.
This should be one of the strategies available in the
retrymodule. This operation usesDEFAULT_RETRY_STRATEGYas default if no retry strategy is provided. The specifics of the default retry strategy are described here.To have this operation explicitly not perform any retries, pass an instance of
NoneRetryStrategy.allow_control_chars (bool) – (optional) allow_control_chars is a boolean to indicate whether or not this request should allow control characters in the response object. By default, the response will not allow control characters in strings
enable_strict_url_encoding (bool) – (optional) enable_strict_url_encoding is a boolean to indicate whether or not this request should enable strict url encoding for path params. By default, strict url encoding for path params is disabled
- Returns
A
Responseobject with data of typeFleetProductCollection- Return type
- Example
Click here to see an example of how to use list_fleet_products API.
- list_fleet_properties(fleet_id, **kwargs)¶
List properties associated with a fleet.
- Parameters
fleet_id (str) – (required) Unique Fleet identifier.
lifecycle_state (str) –
(optional) A filter to return only resources whose lifecycleState matches the given lifecycleState.
Allowed values are: “ACTIVE”, “DELETED”, “FAILED”
display_name (str) – (optional) A filter to return only resources that match the entire display name given.
id (str) – (optional) A filter to return only resources whose fleetProperty identifier matches the given identifier.
limit (int) – (optional) The maximum number of items to return.
page (str) – (optional) A token representing the position at which to start retrieving results. This must come from the opc-next-page header field of a previous response.
sort_order (str) –
(optional) The sort order to use, either ‘ASC’ or ‘DESC’.
Allowed values are: “ASC”, “DESC”
sort_by (str) –
(optional) The field to sort by. Only one sort order may be provided. Default order for timeCreated is descending. Default order for displayName is ascending.
Allowed values are: “timeCreated”, “displayName”
opc_request_id (str) – (optional) The client request ID for tracing.
retry_strategy (obj) –
(optional) A retry strategy to apply to this specific operation/call. This will override any retry strategy set at the client-level.
This should be one of the strategies available in the
retrymodule. This operation usesDEFAULT_RETRY_STRATEGYas default if no retry strategy is provided. The specifics of the default retry strategy are described here.To have this operation explicitly not perform any retries, pass an instance of
NoneRetryStrategy.allow_control_chars (bool) – (optional) allow_control_chars is a boolean to indicate whether or not this request should allow control characters in the response object. By default, the response will not allow control characters in strings
enable_strict_url_encoding (bool) – (optional) enable_strict_url_encoding is a boolean to indicate whether or not this request should enable strict url encoding for path params. By default, strict url encoding for path params is disabled
- Returns
A
Responseobject with data of typeFleetPropertyCollection- Return type
- Example
Click here to see an example of how to use list_fleet_properties API.
- list_fleet_resources(fleet_id, **kwargs)¶
List resources for a fleet in Fleet Application Management.
- Parameters
fleet_id (str) – (required) Unique Fleet identifier.
lifecycle_state (str) –
(optional) A filter to return only resources whose lifecycleState matches the given lifecycleState.
Allowed values are: “ACTIVE”, “DELETED”, “FAILED”, “NEEDS_ATTENTION”
display_name (str) – (optional) A filter to return only resources that match the entire display name given.
id (str) – (optional) A filter to return only resources whose identifier matches the given identifier.
fleet_resource_type (str) – (optional) A filter to return only resources whose resourceType matches the given resourceType.
limit (int) – (optional) The maximum number of items to return.
page (str) – (optional) A token representing the position at which to start retrieving results. This must come from the opc-next-page header field of a previous response.
sort_order (str) –
(optional) The sort order to use, either ‘ASC’ or ‘DESC’.
Allowed values are: “ASC”, “DESC”
sort_by (str) –
(optional) The field to sort by. Only one sort order may be provided. Default order for timeCreated is descending. Default order for displayName is ascending.
Allowed values are: “timeCreated”, “displayName”
opc_request_id (str) – (optional) The client request ID for tracing.
retry_strategy (obj) –
(optional) A retry strategy to apply to this specific operation/call. This will override any retry strategy set at the client-level.
This should be one of the strategies available in the
retrymodule. This operation usesDEFAULT_RETRY_STRATEGYas default if no retry strategy is provided. The specifics of the default retry strategy are described here.To have this operation explicitly not perform any retries, pass an instance of
NoneRetryStrategy.allow_control_chars (bool) – (optional) allow_control_chars is a boolean to indicate whether or not this request should allow control characters in the response object. By default, the response will not allow control characters in strings
enable_strict_url_encoding (bool) – (optional) enable_strict_url_encoding is a boolean to indicate whether or not this request should enable strict url encoding for path params. By default, strict url encoding for path params is disabled
- Returns
A
Responseobject with data of typeFleetResourceCollection- Return type
- Example
Click here to see an example of how to use list_fleet_resources API.
- list_fleet_targets(fleet_id, **kwargs)¶
Returns the list of all confirmed targets within a fleet.
- Parameters
fleet_id (str) – (required) Unique Fleet identifier.
display_name (str) – (optional) A filter to return only resources that match the entire display name given.
product (str) – (optional) Product Name.
resource_id (str) – (optional) Resource Identifier
resource_display_name (str) – (optional) Resource Display Name.
limit (int) – (optional) The maximum number of items to return.
page (str) – (optional) A token representing the position at which to start retrieving results. This must come from the opc-next-page header field of a previous response.
sort_order (str) –
(optional) The sort order to use, either ‘ASC’ or ‘DESC’.
Allowed values are: “ASC”, “DESC”
sort_by (str) –
(optional) The field to sort by. Only one sort order may be provided. Default order for displayName,product and resourceDisplayName is ascending.
Allowed values are: “displayName”, “product”, “resourceDisplayName”
opc_request_id (str) – (optional) The client request ID for tracing.
lifecycle_state (str) –
(optional) A filter to return fleets whose lifecycleState matches the given lifecycleState.
Allowed values are: “ACTIVE”, “DELETED”, “FAILED”
retry_strategy (obj) –
(optional) A retry strategy to apply to this specific operation/call. This will override any retry strategy set at the client-level.
This should be one of the strategies available in the
retrymodule. This operation usesDEFAULT_RETRY_STRATEGYas default if no retry strategy is provided. The specifics of the default retry strategy are described here.To have this operation explicitly not perform any retries, pass an instance of
NoneRetryStrategy.allow_control_chars (bool) – (optional) allow_control_chars is a boolean to indicate whether or not this request should allow control characters in the response object. By default, the response will not allow control characters in strings
enable_strict_url_encoding (bool) – (optional) enable_strict_url_encoding is a boolean to indicate whether or not this request should enable strict url encoding for path params. By default, strict url encoding for path params is disabled
- Returns
A
Responseobject with data of typeFleetTargetCollection- Return type
- Example
Click here to see an example of how to use list_fleet_targets API.
- list_fleets(**kwargs)¶
Returns a list of all the Fleets in the specified compartment. The query parameter compartmentId is required unless the query parameter id is specified.
- Parameters
lifecycle_state (str) –
(optional) A filter to return fleets whose lifecycleState matches the given lifecycleState.
Allowed values are: “ACTIVE”, “INACTIVE”, “CREATING”, “DELETED”, “DELETING”, “FAILED”, “UPDATING”, “NEEDS_ATTENTION”
compartment_id (str) – (optional) The ID of the compartment in which to list resources. Empty only if the resource OCID query param is not specified.
fleet_type (str) –
(optional) A filter to return fleets whose fleetType matches the given fleetType.
Allowed values are: “GENERIC”, “PRODUCT”, “ENVIRONMENT”, “GROUP”
application_type (str) – (optional) A filter to return resources that match the Application Type/Product Stack given..
product (str) – (optional) A filter to return resources that match the Product/Product Stack given.
environment_type (str) – (optional) A filter to return resources that match the Environment Type given.
display_name (str) – (optional) A filter to return only resources that match the entire display name given.
id (str) – (optional) Unique identifier or OCID for listing a single fleet by id. Either compartmentId or id must be provided.
limit (int) – (optional) The maximum number of items to return.
page (str) – (optional) A token representing the position at which to start retrieving results. This must come from the opc-next-page header field of a previous response.
sort_order (str) –
(optional) The sort order to use, either ‘ASC’ or ‘DESC’.
Allowed values are: “ASC”, “DESC”
sort_by (str) –
(optional) The field to sort by. Only one sort order may be provided. Default order for timeCreated is descending. Default order for displayName is ascending.
Allowed values are: “timeCreated”, “displayName”
opc_request_id (str) – (optional) The client request ID for tracing.
retry_strategy (obj) –
(optional) A retry strategy to apply to this specific operation/call. This will override any retry strategy set at the client-level.
This should be one of the strategies available in the
retrymodule. This operation usesDEFAULT_RETRY_STRATEGYas default if no retry strategy is provided. The specifics of the default retry strategy are described here.To have this operation explicitly not perform any retries, pass an instance of
NoneRetryStrategy.allow_control_chars (bool) – (optional) allow_control_chars is a boolean to indicate whether or not this request should allow control characters in the response object. By default, the response will not allow control characters in strings
enable_strict_url_encoding (bool) – (optional) enable_strict_url_encoding is a boolean to indicate whether or not this request should enable strict url encoding for path params. By default, strict url encoding for path params is disabled
- Returns
A
Responseobject with data of typeFleetCollection- Return type
- Example
Click here to see an example of how to use list_fleets API.
- list_inventory_resources(compartment_id, resource_compartment_id, **kwargs)¶
Returns a list of Inventory Resources based on the criteria provided. instance, dbsystem, cloudvmcluster resources are supported.
- Parameters
compartment_id (str) – (required) A filter to return only resources whose base Compartment ID(TenancyId) matches the given base Compartment ID.
resource_compartment_id (str) – (required) A filter to return only resources whose resource Compartment ID matches the given resource Compartment ID.
lifecycle_state (str) – (optional) A filter to return only resources their lifecycleState matches the given lifecycleState.
display_name (str) – (optional) A filter to return only resources that match the entire display name given.
resource_region (str) – (optional) Resource Region
defined_tag_equals (list[str]) – (optional) A list of tag filters to apply. Only resources with a defined tag matching the value will be returned. Each item in the list has the format “{namespace}.{tagName}={value}”. All inputs are case-insensitive. Multiple values for the same key (i.e. same namespace and tag name) are interpreted as “OR”. Values for different keys (i.e. different namespaces, different tag names, or both) are interpreted as “AND”. Example: Identification.Development=Yes
freeform_tag_equals (list[str]) – (optional) A list of tag filters to apply. Only resources with a freeform tag matching the value will be returned. The key for each tag is “{tagName}.{value}”. All inputs are case-insensitive. Multiple values for the same tag name are interpreted as “OR”. Values for different tag names are interpreted as “AND”.
inventory_properties (list[str]) – (optional) A list of inventory properties filters to apply. The key for each inventory property and value for each resource type is “{resourceType}.{inventoryProperty}={value}”. Example: Instance.displayName=TEST_INSTANCE
matching_criteria (str) – (optional) Fetch resources matching ANY or ALL criteria passed as params in “tags” and “inventoryProperties”. Example: matchingCriteria=ANY
limit (int) – (optional) The maximum number of items to return.
page (str) – (optional) A token representing the position at which to start retrieving results. This must come from the opc-next-page header field of a previous response.
sort_order (str) –
(optional) The sort order to use, either ‘ASC’ or ‘DESC’.
Allowed values are: “ASC”, “DESC”
sort_by (str) –
(optional) The field to sort by. Only one sort order may be provided. Default order for timeCreated is descending. Default order for displayName is ascending.
Allowed values are: “timeCreated”, “displayName”
opc_request_id (str) – (optional) The client request ID for tracing.
retry_strategy (obj) –
(optional) A retry strategy to apply to this specific operation/call. This will override any retry strategy set at the client-level.
This should be one of the strategies available in the
retrymodule. This operation usesDEFAULT_RETRY_STRATEGYas default if no retry strategy is provided. The specifics of the default retry strategy are described here.To have this operation explicitly not perform any retries, pass an instance of
NoneRetryStrategy.allow_control_chars (bool) – (optional) allow_control_chars is a boolean to indicate whether or not this request should allow control characters in the response object. By default, the response will not allow control characters in strings
enable_strict_url_encoding (bool) – (optional) enable_strict_url_encoding is a boolean to indicate whether or not this request should enable strict url encoding for path params. By default, strict url encoding for path params is disabled
- Returns
A
Responseobject with data of typeInventoryResourceCollection- Return type
- Example
Click here to see an example of how to use list_inventory_resources API.
- list_targets(fleet_id, **kwargs)¶
Return all targets belonging to the resources within a fleet. It will include both confirmed and unconfirmed targets.
- Parameters
fleet_id (str) – (required) Unique Fleet identifier.
display_name (str) – (optional) A filter to return only resources that match the entire display name given.
limit (int) – (optional) The maximum number of items to return.
page (str) – (optional) A token representing the position at which to start retrieving results. This must come from the opc-next-page header field of a previous response.
sort_order (str) –
(optional) The sort order to use, either ‘ASC’ or ‘DESC’.
Allowed values are: “ASC”, “DESC”
sort_by (str) –
(optional) The field to sort by. Only one sort order may be provided. Default order for timeCreated is descending. Default order for displayName is ascending.
Allowed values are: “timeCreated”, “displayName”
opc_request_id (str) – (optional) The client request ID for tracing.
is_confirmed_targets (bool) – (optional) If set to true, confirmed targets will be returned.
retry_strategy (obj) –
(optional) A retry strategy to apply to this specific operation/call. This will override any retry strategy set at the client-level.
This should be one of the strategies available in the
retrymodule. This operation usesDEFAULT_RETRY_STRATEGYas default if no retry strategy is provided. The specifics of the default retry strategy are described here.To have this operation explicitly not perform any retries, pass an instance of
NoneRetryStrategy.allow_control_chars (bool) – (optional) allow_control_chars is a boolean to indicate whether or not this request should allow control characters in the response object. By default, the response will not allow control characters in strings
enable_strict_url_encoding (bool) – (optional) enable_strict_url_encoding is a boolean to indicate whether or not this request should enable strict url encoding for path params. By default, strict url encoding for path params is disabled
- Returns
A
Responseobject with data of typeFleetTargetCollection- Return type
- Example
Click here to see an example of how to use list_targets API.
- request_resource_validation(request_resource_validation_details, fleet_id, **kwargs)¶
Request validation for resources within a fleet.
- Parameters
request_resource_validation_details (oci.fleet_apps_management.models.RequestResourceValidationDetails) – (required) Details for requesting resource validation.
fleet_id (str) – (required) Unique Fleet identifier.
opc_retry_token (str) – (optional) A token that uniquely identifies a request so it can be retried in case of a timeout or server error without risk of executing that same action again. Retry tokens expire after 24 hours, but can be invalidated before then due to conflicting operations. For example, if a resource has been deleted and purged from the system, then a retry of the original creation request might be rejected.
opc_request_id (str) – (optional) The client request ID for tracing.
retry_strategy (obj) –
(optional) A retry strategy to apply to this specific operation/call. This will override any retry strategy set at the client-level.
This should be one of the strategies available in the
retrymodule. This operation usesDEFAULT_RETRY_STRATEGYas default if no retry strategy is provided. The specifics of the default retry strategy are described here.To have this operation explicitly not perform any retries, pass an instance of
NoneRetryStrategy.allow_control_chars (bool) – (optional) allow_control_chars is a boolean to indicate whether or not this request should allow control characters in the response object. By default, the response will not allow control characters in strings
enable_strict_url_encoding (bool) – (optional) enable_strict_url_encoding is a boolean to indicate whether or not this request should enable strict url encoding for path params. By default, strict url encoding for path params is disabled
- Returns
A
Responseobject with data of type None- Return type
- Example
Click here to see an example of how to use request_resource_validation API.
- request_target_discovery(request_target_discovery_details, fleet_id, **kwargs)¶
Request target discovery for resources with in a fleet.
- Parameters
request_target_discovery_details (oci.fleet_apps_management.models.RequestTargetDiscoveryDetails) – (required) Details for requesting target discovery.
fleet_id (str) – (required) Unique Fleet identifier.
opc_retry_token (str) – (optional) A token that uniquely identifies a request so it can be retried in case of a timeout or server error without risk of executing that same action again. Retry tokens expire after 24 hours, but can be invalidated before then due to conflicting operations. For example, if a resource has been deleted and purged from the system, then a retry of the original creation request might be rejected.
opc_request_id (str) – (optional) The client request ID for tracing.
retry_strategy (obj) –
(optional) A retry strategy to apply to this specific operation/call. This will override any retry strategy set at the client-level.
This should be one of the strategies available in the
retrymodule. This operation usesDEFAULT_RETRY_STRATEGYas default if no retry strategy is provided. The specifics of the default retry strategy are described here.To have this operation explicitly not perform any retries, pass an instance of
NoneRetryStrategy.allow_control_chars (bool) – (optional) allow_control_chars is a boolean to indicate whether or not this request should allow control characters in the response object. By default, the response will not allow control characters in strings
enable_strict_url_encoding (bool) – (optional) enable_strict_url_encoding is a boolean to indicate whether or not this request should enable strict url encoding for path params. By default, strict url encoding for path params is disabled
- Returns
A
Responseobject with data of type None- Return type
- Example
Click here to see an example of how to use request_target_discovery API.
- update_fleet(fleet_id, update_fleet_details, **kwargs)¶
Update fleet information in Fleet Application Management.
- Parameters
fleet_id (str) – (required) Unique Fleet identifier.
update_fleet_details (oci.fleet_apps_management.models.UpdateFleetDetails) – (required) The information to be updated.
if_match (str) – (optional) For optimistic concurrency control. In the PUT or DELETE call for a resource, set the if-match parameter to the value of the etag from a previous GET or POST response for that resource. The resource will be updated or deleted only if the etag you provide matches the resource’s current etag value.
opc_request_id (str) – (optional) The client request ID for tracing.
retry_strategy (obj) –
(optional) A retry strategy to apply to this specific operation/call. This will override any retry strategy set at the client-level.
This should be one of the strategies available in the
retrymodule. This operation usesDEFAULT_RETRY_STRATEGYas default if no retry strategy is provided. The specifics of the default retry strategy are described here.To have this operation explicitly not perform any retries, pass an instance of
NoneRetryStrategy.allow_control_chars (bool) – (optional) allow_control_chars is a boolean to indicate whether or not this request should allow control characters in the response object. By default, the response will not allow control characters in strings
enable_strict_url_encoding (bool) – (optional) enable_strict_url_encoding is a boolean to indicate whether or not this request should enable strict url encoding for path params. By default, strict url encoding for path params is disabled
- Returns
- Return type
- Example
Click here to see an example of how to use update_fleet API.
- update_fleet_credential(fleet_credential_id, fleet_id, update_fleet_credential_details, **kwargs)¶
Edit credential associated with a fleet or with a product/target with in a fleet.
- Parameters
fleet_credential_id (str) – (required) unique FleetCredential identifier
fleet_id (str) – (required) Unique Fleet identifier.
update_fleet_credential_details (oci.fleet_apps_management.models.UpdateFleetCredentialDetails) – (required) The credential information to be updated.
if_match (str) – (optional) For optimistic concurrency control. In the PUT or DELETE call for a resource, set the if-match parameter to the value of the etag from a previous GET or POST response for that resource. The resource will be updated or deleted only if the etag you provide matches the resource’s current etag value.
opc_request_id (str) – (optional) The client request ID for tracing.
retry_strategy (obj) –
(optional) A retry strategy to apply to this specific operation/call. This will override any retry strategy set at the client-level.
This should be one of the strategies available in the
retrymodule. This operation usesDEFAULT_RETRY_STRATEGYas default if no retry strategy is provided. The specifics of the default retry strategy are described here.To have this operation explicitly not perform any retries, pass an instance of
NoneRetryStrategy.allow_control_chars (bool) – (optional) allow_control_chars is a boolean to indicate whether or not this request should allow control characters in the response object. By default, the response will not allow control characters in strings
enable_strict_url_encoding (bool) – (optional) enable_strict_url_encoding is a boolean to indicate whether or not this request should enable strict url encoding for path params. By default, strict url encoding for path params is disabled
- Returns
A
Responseobject with data of type None- Return type
- Example
Click here to see an example of how to use update_fleet_credential API.
- update_fleet_property(fleet_property_id, fleet_id, update_fleet_property_details, **kwargs)¶
Edit a property associated with a fleet in Fleet Application Management.
- Parameters
fleet_property_id (str) – (required) Unique fleetProperty identifier.
fleet_id (str) – (required) Unique Fleet identifier.
update_fleet_property_details (oci.fleet_apps_management.models.UpdateFleetPropertyDetails) – (required) Attributes to update a fleet property.
if_match (str) – (optional) For optimistic concurrency control. In the PUT or DELETE call for a resource, set the if-match parameter to the value of the etag from a previous GET or POST response for that resource. The resource will be updated or deleted only if the etag you provide matches the resource’s current etag value.
opc_request_id (str) – (optional) The client request ID for tracing.
retry_strategy (obj) –
(optional) A retry strategy to apply to this specific operation/call. This will override any retry strategy set at the client-level.
This should be one of the strategies available in the
retrymodule. This operation usesDEFAULT_RETRY_STRATEGYas default if no retry strategy is provided. The specifics of the default retry strategy are described here.To have this operation explicitly not perform any retries, pass an instance of
NoneRetryStrategy.allow_control_chars (bool) – (optional) allow_control_chars is a boolean to indicate whether or not this request should allow control characters in the response object. By default, the response will not allow control characters in strings
enable_strict_url_encoding (bool) – (optional) enable_strict_url_encoding is a boolean to indicate whether or not this request should enable strict url encoding for path params. By default, strict url encoding for path params is disabled
- Returns
A
Responseobject with data of typeFleetProperty- Return type
- Example
Click here to see an example of how to use update_fleet_property API.
- update_fleet_resource(fleet_resource_id, fleet_id, update_fleet_resource_details, **kwargs)¶
Updates the FleetResource.
- Parameters
fleet_resource_id (str) – (required) unique FleetResource identifier
fleet_id (str) – (required) Unique Fleet identifier.
update_fleet_resource_details (oci.fleet_apps_management.models.UpdateFleetResourceDetails) – (required) The information to be updated.
if_match (str) – (optional) For optimistic concurrency control. In the PUT or DELETE call for a resource, set the if-match parameter to the value of the etag from a previous GET or POST response for that resource. The resource will be updated or deleted only if the etag you provide matches the resource’s current etag value.
opc_request_id (str) – (optional) The client request ID for tracing.
retry_strategy (obj) –
(optional) A retry strategy to apply to this specific operation/call. This will override any retry strategy set at the client-level.
This should be one of the strategies available in the
retrymodule. This operation usesDEFAULT_RETRY_STRATEGYas default if no retry strategy is provided. The specifics of the default retry strategy are described here.To have this operation explicitly not perform any retries, pass an instance of
NoneRetryStrategy.allow_control_chars (bool) – (optional) allow_control_chars is a boolean to indicate whether or not this request should allow control characters in the response object. By default, the response will not allow control characters in strings
enable_strict_url_encoding (bool) – (optional) enable_strict_url_encoding is a boolean to indicate whether or not this request should enable strict url encoding for path params. By default, strict url encoding for path params is disabled
- Returns
A
Responseobject with data of type None- Return type
- Example
Click here to see an example of how to use update_fleet_resource API.